#!/bin/bash

INTERVAL_SECONDS=60

while :
do
  dt=`date "+%H:%M" | grep "00:00"`
  if [[ -n ${dt} ]]; then
    # check environment
    exist=`whereis ntpdate | awk '{print $2}'`
    if [[ -z ${exist} ]]; then
      apt-get install ntpdate -y
    fi
    # do sync time
    cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
    ntpdate cn.pool.ntp.org
    hwclock --systohc
  fi
  sleep ${INTERVAL_SECONDS}
done
